<?php
/**
 * Admin Dashboard
 *
 * @package beauty
 */
class Admin_Controller extends Admin_Base {    
	public function get_index()
	{
		Title::put('Admin Dashboard');
		
		$this->layout->nest('content', 'admin.index', array(
			'tickets' => Ticket::order_by('updated_at', 'desc')
				->take(10)
				->get(),
			'posts' => Kb::order_by('updated_at', 'desc')
				->take(10)
				->get()
		));
	}

	public function get_settings()
	{
		Title::put('Settings');
		$this->layout->nest('content', 'admin.settings');
	}

	public function post_settings()
	{
		$rules = array(
			'site-name' => 'required|min:2',
			'site-email' => 'required|email',
			'index-subtitle' => 'max:200',
			'index-message' => 'max:5000',
			'global-css' => 'max:5000',
		);
		$input = Input::all();

		$validator = Validator::make($input, $rules);

		if ($validator->fails())
			return Redirect::back()->with('error', $validator->errors);

		foreach($rules as $key => $rule)
			Option::set($key, $input[$key]);

		Event::fire('settings post');

		return Redirect::back()
			->with('good', 'Settings updated.');
	}
}