<?php
/**
 * Frontend for the Knowledge Base
 *
 * @package beauty
 */
class Kb_Controller extends Base_Controller {
	public function get_view($string = '')
	{
		if (empty($string))
			return Response::error(404);

		$find = Kb::where_slug($string)->first();
		if ($find == NULL) return Response::error(404);
		
		// Handle the content
		// We cache it because it's easier than parsing it every time
		// Since it's MD5ed, it won't be a problem when they update the content
		$cache = 'md:'.md5($find->content);
		if (Cache::has($cache)) :
			$find->content = Cache::get($cache);
		else :
			$parser = new dflydev\markdown\MarkdownExtraParser();
			$find->content = $parser->transformMarkdown($find->content);
			Cache::put($cache, $find->content, 60);
		endif;

		Title::put($find->title);

		$this->layout->nest('content', 'kb.view', array('post' => $find));
	}

	public function get_search()
	{
		if (! isset($_GET['q']) OR $_GET['q'] == '')
			return Redirect::to('articles');
		$q = $_GET['q'];

		$posts = Kb::order_by('updated_at', 'desc')
			->where('title', 'LIKE', '%'.$q.'%')
			->get();

		Title::put('Article Search for "'.$q.'"');
		$this->layout->nest('content', 'kb.listing', array('posts' => $posts, 'search' => $q));
	}
	public function get_listing()
	{
		Title::put('Articles');
		$this->layout->nest('content', 'kb.listing', array('posts' => Kb::order_by('updated_at', 'desc')->get()));
	}
}