<?php
/**
 * Manage Roles in the Database
 *
 * We save permissions for roles in the database
 *
 * @access public
 */
class Role extends Eloquent {
    public static $timestamps = FALSE;
    public static $table = 'role';

    /**
     * Properly encode the permissions
     *
     * @access public
     * @return void
     */
    public function permissions($array)
    {
        $this->permissions = json_encode($array);
    }

    /**
     * Retrieve a Role
     *
     * @param string
     * @return object
     */
    public static function retrieve($role)
    {
        $data = self::where_name($role)->first();
        if ($data == NULL)
            return FALSE;

        $data->permissions = json_decode($data->permissions);
        return $data;
    }
}
