<?php
// Wildcard Routes
Router::register(array('GET', 'POST'), 'ticket/(:num)', 'ticket@view');
Router::register(array('GET', 'POST'), 'admin/ticket/(:num)', 'admin.ticket@view');
Route::get('articles', 'kb@listing');
Route::get('articles/search', 'kb@search');
Route::get('article/(:any)', 'kb@view');

Route::controller(array(
	'installer',
	
	'admin.ticket',
	'admin.users',
	'admin.kb',
	'admin',
	
	'ticket',
));

Route::get('admin/tickets', function()
{
	return Redirect::to('admin/ticket');
});

Route::get('test', function()
{
	Config::set('application.profiler', false);
	return View::make('global.email')
		->with('subject', 'Awesome Subject!')
		->with('message', '<p>Awesome message!</p>');
});

Route::controller('admin.ticket');
Route::get('/', 'frontend@index');


Router::register(array('GET', 'POST'), 'account', 'frontend@account');

Route::get('tickets', 'ticket@index');
Router::register(array('GET', 'POST'), 'login', 'frontend@login');
//Route::get('admin/tickets', 'admin.ticket@index');

Route::get('logout', function()
{
	Auth::logout();

	return Redirect::home()
		->with('good', 'You\'re now logged out.');
});

/*
|--------------------------------------------------------------------------
| Application 404 & 500 Error Handlers
|--------------------------------------------------------------------------
|
| To centralize and simplify 404 handling, Laravel uses an awesome event
| system to retrieve the response. Feel free to modify this function to
| your tastes and the needs of your application.
|
| Similarly, we use an event to handle the display of 500 level errors
| within the application. These errors are fired when there is an
| uncaught exception thrown in the application.
|
*/

Event::listen('404', function()
{
	return Response::error('404');
});

Event::listen('500', function()
{
	return Response::error('500');
});

/*
|--------------------------------------------------------------------------
| Route Filters
|--------------------------------------------------------------------------
|
| Filters provide a convenient method for attaching functionality to your
| routes. The built-in before and after filters are called before and
| after every request to your application, and you may even create
| other filters that can be attached to individual routes.
|
| Let's walk through an example...
|
| First, define a filter:
|
|		Route::filter('filter', function()
|		{
|			return 'Filtered!';
|		});
|
| Next, attach the filter to a route:
|
|		Route::get('/', array('before' => 'filter', function()
|		{
|			return 'Hello World!';
|		}));
|
*/

Route::filter('before', function()
{
	Engine::_init();
});

Route::filter('after', function($response)
{
	// Do stuff after every request to your application...
});

Route::filter('csrf', function()
{
	if (Request::forged()) return Response::error('500');
});

Route::filter('auth', function()
{
	if (Auth::guest()) return Redirect::to('login');
});

Route::filter('to_installer', function()
{
	return Redirect::to('installer');
});

Route::filter('staff', function()
{
	if (Auth::user()->type !== 'staff') return Response::error(404);
});