<?php
$generate = function($status, $priority)
{
	return URL::current().'?status='.$status.'&priority='.$priority;
};
if (! isset($status))
	$status = NULL;

if (! isset($priority))
	$priority = NULL;
?>
<header class="frontend-index">
	<div class="row">
		<h2>Ticket Management</h2>

		<ul class="button-group button-ref">
		<li>
			<div href="#" class="large button dropdown">View By Status
			<ul>
				<li><a href="{{$generate('open', $priority)}}">Open</a></li>
				<li><a href="{{$generate('closed', $priority)}}">Closed</a></li>
			</ul>
		</div>
		</li>

		<li>
			<div href="#" class="large button dropdown">View By Priority
			<ul>
				<li><a href="{{$generate($status, 'low')}}">Low</a></li>
				<li><a href="{{$generate($status, 'normal')}}">Normal</a></li>
				<li><a href="{{$generate($status, 'high')}}">High</a></li>
			</ul>
		</div>
		</li>

		<li>
			<a href="{{URL::to('admin/ticket/assigned')}}" class="large button">Assigned Tickets</a>
		</li>

		</ul>
	</div>
</header>

<div class="row ticket-form">
	<div class="twelve columns">
		<table class="table ticket-listing" width="100%">
			<thead>
				<tr>
					<th>#</th>
					<th>Name</th>
					<th>Last Update</th>
					<th>&nbsp;</th>
				</tr>
			</thead>
			<tbody>
				@if (count($tickets) == 0)
					<tr>
						<td colspan="4">
							<div class="alert-box">You don't have any tickets</div>
						</td>
					</tr>
				@else
					@foreach ($tickets as $ticket)
						<tr>
							<td>{{ $ticket->id }}</td>
							<td>
								{{ HTML::link('admin/ticket/'.$ticket->id, $ticket->subject) }}

								@if ($ticket->status == 'closed')
									<span class="label alert">Closed</span>
								@endif
							</td>
							<td>{{ Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $ticket->updated_at)->diffForHumans() }}</td>
							<td>
								<a href="{{ URL::to('admin/ticket/'.$ticket->id) }}"
									class="button radius small">
									View Ticket
								</a>
							</td>
						</tr>
					@endforeach
				@endif
			</tbody>
		</table>
	</div>
</div>