<header class="frontend-index">
	<div class="row">
		<h2>Ticket #{{$ticket->id}}</h2>
		<h4>Last update {{ Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $ticket->updated_at)->diffForHumans() }}</h4>
	</div>
</header>

<div class="row ticket-form">
	<div class="nine columns chat-box">
		@if (count($responses) > 0)
			@foreach ($responses as $response)
				<div class="chat-item">
				<?php
				$message = trim($response->contents);
				
				if (! empty($message)) :
					$parser = new dflydev\markdown\MarkdownExtraParser();
					$message = $parser->transformMarkdown($message);
				endif;

				$user = $response->user();

				$actions = (array) unserialize($response->actions);
				?>

				<div class="chat-item-author">
					@if ($response->is_staff)
						Update from <strong><?php echo $user->name; ?></strong>
					@else
						<strong>Your</strong> update 
					@endif
					<span title="{{$response->created_at}}">
					{{ Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $response->created_at)->diffForHumans() }}
					</span>
				</div>

				@if (! empty($message))
				<div class="chat-item-message">
					{{ $message }}
				</div>
				@endif

				@if (count($actions) > 0)
				<div class="chat-item-actions">
					@if (count($actions) > 0)
					@foreach ($actions as $action)
					<?php
					if (!isset($action['user'])) continue;
					$action_user = User::find($action['user']);
					
					if ($action_user == NULL) continue;
					?>
					<p>
						<strong>{{ $action_user->name }}</strong>

						<?php
						switch($action['action']) :
							case 'status' :
								?>updated the ticket from <span class="label rounded secondary"><?php echo $action['old']; ?></span>
								to <span class="label rounded success"><?php echo $action['new']; ?></span>
								<?php
								break;
						endswitch;
						?>
					</p>
					@endforeach
					@endif
				</div>
				@endif

				</div>
			@endforeach
		@endif

		{{-- Response Form --}}
		<div class="chat-item response-form">
			@if ($ticket->status == 'open')
				{{ Form::open() }}
					{{ Form::token() }}

					<div id="assign-wrap" class="action-change" style="display:none;"></div>
					<div id="priority-wrap" class="action-change" style="display:none;"></div>

					{{ Form::textarea('message', ((Session::get('message') !== NULL) ? Session::get('message') : NULL), array('placeholder' => 'Message...', 'id' => 'editor')) }}
					{{Form::hidden('ticket-id', $ticket->id)}}

				<div class="row">
				<div class="five columns">
					
				</div>

				<div class="seven columns end">
				<ul class="button-group" style="float:right;">
					<li>
						<button type="submit" class="button" value="update" name="submit-item">Update Ticket</button>
					</li>
					<li>
						<button type="submit" class="button alert" value="update-close" name="submit-item">Update & Close Ticket</button>
					</li>
				</ul>
				</div>

				</div>
				{{ Form::close() }}
			@else
				<div class="alert-box alert">This ticket is already closed.</div>
			@endif
		</div>
	</div>

	<div class="three columns">
		{{Form::open()}}
		{{Form::token()}}
		{{Form::hidden('action', 'update-meta')}}

		@if ($ticket->status == 'closed')
			<div class="alert-box alert">Ticket closed.</div>
		@elseif ($ticket->status == 'open')
			<div class="alert-box success">Ticket open.</div>
		@endif

		<div id="tags-wrap" class=" action-change">
			<h5>Tags</h5>
			<input type="text" autocomplete="off" data-items="6" data-provide="typeahead" name="tagsjax" placeholder="Tags" style="width:9em;" class="tagmanager" data-original-title=""/>
		</div>
		<hr />
		<?php
		$tags = Tag::where_ticket_id($ticket->id)->select('tag')->group_by('tag')->get();
		$index = array();

		if (count($tags) > 0) :
			foreach($tags as $tag) $index[] = $tag->tag;
		endif;
		?>
		<script type="text/javascript">
			$ticket_tags = {{json_encode($index)}};
		</script>

		<h5>Assign To</h5>
		<select name="assign-to">
			<option value="nobody">Nobody</option>
			<?php
			$users = User::where_type('staff')
				->order_by('name', 'asc')
				->get();

			if (count($users) > 0) : foreach($users as $user) :
				?><option value="{{$user->id}}" <?php if ($ticket->assigned == $user->id) echo 'selected="selected"'; ?>>{{$user->name}} <?php if ($ticket->assigned == $user->id) echo '(ASSIGNED)'; ?></option><?php
			endforeach; endif;
			?>
		</select>
		<hr />
		<h5>Priority</h5>
		{{Form::select('priority', array('low' => 'Low', 'normal' => 'Normal', 'high' => 'High'), $ticket->priority)}}

		<hr />
		<button class="button" type="submit" class="button" @if ($ticket->status !== 'open') disabled="disabled" @endif>Update Information</button>
	</div>
</div>

<?php
Event::listen('footer-jquery', function()
{
	?>
ticket_id = $('input[name="ticket-id"]').val();

$('a[data-ticket-trigger="tags"]').click(function(e)
{
	e.preventDefault();
	$('#tags-wrap').show();

	$('input.tagmanager').focus();
});

$('input.tagmanager').tagsManager({
	typeahead: true,
	typeaheadAjaxSource: '/admin/ticket/tags',
	typeaheadAjaxPolling: true,
	//AjaxPush: '/admin/ticket/tags_update/'+ticket_id,
	prefilled: $ticket_tags
});
	<?php
});

Event::listen('footer-js', function()
{
?>
var editor = new Editor();
editor.render();
<?php
});