<header class="frontend-index">
	<div class="row">
		<h2>View User: {{$user->name}}</h2>
		<p class="button-ref">{{ HTML::link('admin/users', 'Go Back', array('class' => 'button')) }}</p>
	</div>
</header>

<div class="row ">
	<div class="seven columns">
		<?php if ($user->type == 'user') : ?>
			<h3>User's Tickets</h3>
		<?php elseif ($user->type == 'staff') : ?>
			<h3>Tickets Assigned to User</h3>
		<?php endif; ?>

		<table class="table ticket-listing" width="100%">
			<thead>
				<tr>
					<th>#</th>
					<th>Name</th>
					<th>Last Update</th>
					<th>&nbsp;</th>
				</tr>
			</thead>
			<tbody>
				@if (count($tickets) == 0)
					<tr>
						<td colspan="4">
							<div class="alert-box">No tickets found.</div>
						</td>
					</tr>
				@else
					@foreach ($tickets as $ticket)
						<tr>
							<td>{{ $ticket->id }}</td>
							<td>{{ HTML::link('ticket/'.$ticket->id, $ticket->subject) }}</td>
							<td>{{ Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $ticket->updated_at)->diffForHumans() }}</td>
							<td>
								<a href="{{ URL::to('admin/ticket/'.$ticket->id) }}"
									class="button radius small">
									View Ticket
								</a>
							</td>
						</tr>
					@endforeach
				@endif
			</tbody>
		</table>
	</div>

	<div class="five columns">
		{{ Form::open() }}
			{{ Form::token() }}
			<fieldset>
				<h5>User Settings
					@if (Auth::user()->id !== $user->id)
						<a href="{{URL::to('admin/users/delete/'.$user->id)}}" class="button alert radius small" style="float:right;">Delete User</a>
					@endif
				</h5>
				<hr />
				{{ Form::label('name', 'Name') }}
				{{ Form::text('name', $user->name) }}

				{{ Form::label('email', 'Email Address') }}
				{{ Form::email('email', $user->email) }}

				{{ Form::label('role', 'User Type') }}
				{{ Form::select('role', array('user' => 'User', 'staff' => 'Staff'), $user->type) }}

				<hr />
				<button type="submit" class="button">Update User</button>
			</fieldset>
		{{ Form::close() }}
	</div>
</div>
