<!DOCTYPE html>
<!--[if IE 8]> <html class="no-js lt-ie9" lang="en"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en"> <!--<![endif]-->
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="csrf" content="{{Session::token()}}" />
	<title><?php echo Title::get(); ?></title>
	<meta name="viewport" content="width=device-width" />
	<?php
	echo Asset::styles();
	Event::fire('head');
	?>
	<style type="text/css">{{Option::retrieve('global-css', '', 60)}}</style>
</head>
<body class="<?php Event::fire('body-classes'); ?>">
	<nav class="top-bar">
		<ul>
			<!-- Title Area -->
			<li class="name">
				<h1>
					<a href="{{ URL::base() }}" title="{{ Config::get('engine.site-name') }}">
						{{ Config::get('engine.site-name') }}
					</a>
				</h1>
			</li>
			<li class="toggle-topbar"><a href="#"></a></li>
		</ul>

		<section>
			<!-- Right Nav Section -->
			<ul class="right">
				<li class="divider"></li>

				@if (Auth::check())
					<li>{{ HTML::link('tickets', 'Tickets') }}
					<li>{{HTML::link('articles', 'Articles')}}</li>

					@if (Auth::user()->type == 'staff')
					<li class="divider"></li>
					<li class="has-dropdown">
							{{ HTML::link('admin', 'Admin') }}

							<ul class="dropdown">
								<li class="has-dropdown">
									{{ HTML::link('admin/tickets', 'Tickets') }}

									<ul class="dropdown">
										<li>{{HTML::link('admin/ticket/assigned', 'Assigned Tickets')}}</li>
									</ul>
								</li>
								<li>{{ HTML::link('admin/kb', 'Knowledge Base') }}</li>
								<li>{{ HTML::link('admin/users', 'Users') }}</li>
								<li>{{ HTML::link('admin/settings', 'Settings') }}</li>
							</ul>
					</li>
					@endif
				@endif
				
				<li class="{{ (Auth::check()) ? 'has-dropdown' : '' }}">
					@if ( Auth::check())
						{{ HTML::link('account', 'Account') }}

						<ul class="dropdown">
							<li>{{ HTML::link('logout', 'Logout') }}</li>
						</ul>
					@else
						{{ HTML::link('login', 'Login') }}
					@endif
				</li>
			</ul>
		</section>
	</nav>

	<?php
	// Was easier to achieve this in Raw PHP
	if (Session::get('error') !== NULL OR Session::get('good') !== NULL) :
		$is_error = $is_good = FALSE;

		if (Session::get('error') !== NULL) :
			$is_error = TRUE;
			$message = Session::get('error');

			if (is_object($message) AND get_class($message) == 'Laravel\Messages') :
				$message = $message->first();
			endif;
		elseif (Session::get('good') !== NULL) :
			$is_good = TRUE;
			$message = Session::get('good');
		endif;
		?>
		<section class="alert-bar {{ ($is_error) ? 'error' : 'good' }}">
			<p>{{ $message }}</p>
		</section>
	<?php endif; ?>

	@if (isset($below_header))
		{{ $below_header }}
	@endif