<header class="frontend-index">
	<div class="row">
		<h2>Your Tickets</h2>
		<p class="button-ref">{{ HTML::link('ticket/new', 'Submit a New Ticket', array('class' => 'button')) }}</p>
	</div>
</header>

<div class="row ticket-form">
	<div class="nine columns">
		<table class="table ticket-listing" width="100%">
			<thead>
				<tr>
					<th>#</th>
					<th>Name</th>
					<th>Last Update</th>
					<th>&nbsp;</th>
				</tr>
			</thead>
			<tbody>
				@if (count($tickets) == 0)
					<tr>
						<td colspan="4">
							<div class="alert-box">You don't have any tickets</div>
						</td>
					</tr>
				@else
					@foreach ($tickets as $ticket)
						<tr>
							<td>{{ $ticket->id }}</td>
							<td>
								{{ HTML::link('ticket/'.$ticket->id, $ticket->subject) }}

								@if ($ticket->status == 'closed')
									<span class="label alert">Closed</span>
								@endif
							</td>
							<td>{{ Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $ticket->updated_at)->diffForHumans() }}</td>
							<td>
								<a href="{{ URL::to('ticket/'.$ticket->id) }}"
									class="button radius small">
									View Ticket
								</a>
							</td>
						</tr>
					@endforeach
				@endif
			</tbody>
		</table>
	</div>
</div>