<header class="frontend-index">
	<div class="row">
		<h2>Ticket #{{$ticket->id}}</h2>
		<h4>Last update ...</h4>
	</div>
</header>

<div class="row ticket-form">
	<div class="nine columns chat-box">
		@if (count($responses) > 0)
			@foreach ($responses as $response)
				<div class="chat-item">
				<?php
				$message = trim($response->contents);
				
				if (! empty($message)) :
					$parser = new dflydev\markdown\MarkdownExtraParser();
					$message = $parser->transformMarkdown($message);
				endif;

				$user = $response->user();

				$actions = (array) unserialize($response->actions);
				?>

				<div class="chat-item-author">
					@if ($response->is_staff)
						Update from <strong><?php echo $user->name; ?></strong>
					@else
						<strong>Your</strong> update 
					@endif
					<span title="{{$response->created_at}}">
					{{ Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $response->created_at)->diffForHumans() }}
					</span>
				</div>

				@if (! empty($message))
				<div class="chat-item-message">
					{{ $message }}
				</div>
				@endif

				@if (count($actions) > 0)
				<div class="chat-item-actions">
					@if (count($actions) > 0)
					@foreach ($actions as $action)
					<?php
					if (!isset($action['user'])) continue;
					$action_user = User::find($action['user']);
					
					if ($action_user == NULL) continue;
					?>
					<p>
						<strong>{{ $action_user->name }}</strong>

						<?php
						switch($action['action']) :
							case 'status' :
								?>updated the ticket from <span class="label rounded secondary"><?php echo $action['old']; ?></span>
								to <span class="label rounded success"><?php echo $action['new']; ?></span>
								<?php
								break;
						endswitch;
						?>
					</p>
					@endforeach
					@endif
				</div>
				@endif

				</div>
			@endforeach
		@endif

		{{-- Response Form --}}
		<div class="chat-item response-form">
			@if ($ticket->status == 'open')
				{{ Form::open() }}
					{{ Form::token() }}

					{{ Form::textarea('message', ((Session::get('message') !== NULL) ? Session::get('message') : NULL), array('placeholder' => 'Message...', 'id' => 'editor')) }}
					
					<button style="float:right;" type="submit" class="button" name="submit-item">Update Ticket</button>

				{{ Form::close() }}
			@else
				<div class="alert-box alert">This ticket is already closed. For more help,
					please {{ HTML::link('ticket/new', 'open a new ticket') }}.</div>
			@endif
		</div>
	</div>

	<div class="three columns">
		<h5>How does this work?</h5>
		<p>You simply send us an email on the form to the left and we will responsed to your email as quickly as possible.</p>

	</div>
</div>

<?php
Event::listen('footer-js', function()
{
?>
var editor = new Editor();
editor.render();
<?php
});