/**
 * Application Master
 *
 * @package wl
 */
$(document).ready(function() { App.init(); });

var App = {
  csrf: null,

  init: function()
  {
    App.csrf = $('meta[name="csrf"]').attr('content');
  },

  filterContacts: function()
  {
    $('input[data-filter-id]').each(function(e, obj)
    {
      $(this).keyup(function(d)
      {
        App.delay(function() { App.loadContacts($(this)); });
      });
    });
  },

  loadContacts: function(obj)
  {
    URL = '/contacts?';
    phone = $('input[data-filter-id="phone-number"]').val();
    email = $('input[data-filter-id="email-address"]').val();

    if (phone !== '')
      URL += 'phone='+phone+'&';

    if (email !== '')
      URL += 'email='+email;

    $.get(URL, function(data)
    {
      $('div.row.content-row').remove();
      $('header.page-header').after(data);
    });
  },

  timer: 0,
  delay: function(callback, ms) {
    clearTimeout(App.timer);
    App.timer = setTimeout(callback, ms);
  }
};


;(function ($, window, undefined) {
  'use strict';

  var $doc = $(document),
      Modernizr = window.Modernizr;

  $(document).ready(function() {
    $.fn.foundationAlerts           ? $doc.foundationAlerts() : null;
    $.fn.foundationButtons          ? $doc.foundationButtons() : null;
    $.fn.foundationAccordion        ? $doc.foundationAccordion() : null;
    $.fn.foundationNavigation       ? $doc.foundationNavigation() : null;
    $.fn.foundationTopBar           ? $doc.foundationTopBar() : null;
    $.fn.foundationCustomForms      ? $doc.foundationCustomForms() : null;
    $.fn.foundationMediaQueryViewer ? $doc.foundationMediaQueryViewer() : null;
    $.fn.foundationTabs             ? $doc.foundationTabs({callback : $.foundation.customForms.appendCustomMarkup}) : null;
    $.fn.foundationTooltips         ? $doc.foundationTooltips() : null;
    $.fn.foundationMagellan         ? $doc.foundationMagellan() : null;
    $.fn.foundationClearing         ? $doc.foundationClearing() : null;

    $.fn.placeholder                ? $('input, textarea').placeholder() : null;
  });

  // UNCOMMENT THE LINE YOU WANT BELOW IF YOU WANT IE8 SUPPORT AND ARE USING .block-grids
  // $('.block-grid.two-up>li:nth-child(2n+1)').css({clear: 'both'});
  // $('.block-grid.three-up>li:nth-child(3n+1)').css({clear: 'both'});
  // $('.block-grid.four-up>li:nth-child(4n+1)').css({clear: 'both'});
  // $('.block-grid.five-up>li:nth-child(5n+1)').css({clear: 'both'});

  // Hide address bar on mobile devices (except if #hash present, so we don't mess up deep linking).
  if (Modernizr.touch && !window.location.hash) {
    $(window).load(function () {
      setTimeout(function () {
        window.scrollTo(0, 1);
      }, 0);
    });
  }

})(jQuery, this);
